import { z } from "zod"

export const buildAddressAddSchema = z.object({
    buildNumber: z.string(),
    doorNumber: z.string(),
    floorNumber: z.string(),
    commentAddress: z.string(),
    letterAddress: z.string(),
    shortLetterAddress: z.string(),
    latitude: z.number(),
    longitude: z.number(),
    street: z.string().optional(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
});

export type BuildAddressAdd = z.infer<typeof buildAddressAddSchema>;
